require "rails-assets-jquery-fullscreen-plugin/version"


module RailsAssetsJqueryFullscreenPlugin

  def self.gem_path
    Pathname(File.realpath(__FILE__)).join('../..')
  end

  def self.gem_spec
    Gem::Specification::load(
      gem_path.join("rails-assets-jquery-fullscreen-plugin.gemspec").to_s
    )
  end

  def self.load_paths
    gem_path.join('app/assets').each_child.to_a
  end

  def self.dependencies
    [
      
    ]
  end

  if defined?(Rails)
    class Engine < ::Rails::Engine
        config.root = '/usr/share/ruby-rails-assets-jquery-fullscreen-plugin'
    end
  end

end

class RailsAssets
  @components ||= []

  class << self
    attr_accessor :components

    def load_paths
      components.flat_map(&:load_paths)
    end
  end
end

RailsAssets.components << RailsAssetsJqueryFullscreenPlugin
